# MedicalCertificateCameraConfiguration class

Inheritance
  - Object
  - CameraConfiguration
  - MedicalCertificateCameraConfiguration
Annotations
  - @JsonSerializable(createFactory: false, includeIfNull: false, explicitToJson: true)

## Constructors

MedicalCertificateCameraConfiguration({required MedicalCertificateClassicScannerConfiguration scannerConfiguration, bool? flashEnabled, FinderConfiguration? finder, double? cameraZoomFactor, bool detectionEnabled = true})

## Properties

cameraZoomFactor ↔ double?
  Set current zoom by a linear zoom value ranging from 0f to 1.0f. It maps to the range of real values of 1x-12x zoom. If device os not supporting some part of this range the closest value will be taken. Optical Zoom Level 0f represents the minimum zoom(1x) while Optical Zoom Level 1.0f represents the maximum zoom(12x). Default value is 0f.
  getter/setter pair
detectionEnabled ↔ bool
  Controls whether the frame detection should be enabled.
  getter/setter pair
detectorType → DetectorType
  final
finder ↔ FinderConfiguration?
  getter/setter pair
flashEnabled ↔ bool?
  Controls whether the flash should be initially enabled. The default value is FALSE.
  getter/setter pair
handleCameraInAppBackgroundAutomatically ↔ bool
  getter/setter pair inherited
hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
scannerConfiguration ↔ MedicalCertificateClassicScannerConfiguration
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
  override
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited